mtrr_del
Prev | MTRR Handling | Next

## Name

mtrr_del — delete a memory type region

## Synopsis

`int mtrr_del (` | int | reg,
| unsigned long | base,
| unsigned long | size`)`;

## Arguments

`reg`

  Register returned by mtrr_add

`base`

  Physical base address

`size`

  Size of region

## Description

If register is supplied then base and size are ignored. This is how drivers should call it.

Releases an MTRR region. If the usage count drops to zero the register is freed and the region returns to default state. On success the register is returned, on failure a negative error code.

Prev | Up | Next
mtrr_add | Home | PCI Support Library